Ubuntu

8086:0084 Wireless stops passing packets

Reported by Alan Pope ㋛ on 2012-02-20
50
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

Noticed this a few times on a Lenovo Thinkpad X220. It's associated with my access point but then I notice dropbox etc icons go grey. Network Manager applet still looks connected, and usual command line tools show I still have an IP address, but no packets wlil pass. Other devices (iphone, ipad, desktop PC + usb wifi adapter, other computers) are unaffected. Some devices have been connected and passing packets for many days on the same AP.

To get reconnected I can just click the network manager applet and just re-choose my AP and it re-associates and works. On this occasion I ran nm-tool to get diagnostic info and it reconnected pretty much as soon as I did that.

WORKAROUND: linux-backports-modules-cw-3.3-precise-generic package from https://launchpad.net/ubuntu/precise/+package/linux-backports-modules-cw-3.3-3.2.0-18-generic

Access Point:-

Netgear wndr3700 running dd-wrt v24-sp2
Access Point up time 62 days
WPA2 Personal TKIP
key renewal interval 3600 seconds
Network: Mixed
Channel: 11 (2462MHz)
TX Power: 17dBm
Rate: 54Mb/s
ACK Timing: 80microseconds (2100m)
Wireless packet info:
RX: 73003327 OK,
TX: 106046844 OK, 2130 errors.

alan@deep-thought:~/Ubuntu One/network_problem$ cat ifconfig
eth0 Link encap:Ethernet HWaddr f0:de:f1:c1:7f:d9
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)
          Interrupt:20 Memory:f2600000-f2620000

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:1675 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1675 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:163786 (163.7 KB) TX bytes:163786 (163.7 KB)

wlan0 Link encap:Ethernet HWaddr 74:e5:0b:a4:3c:18
          inet addr:192.168.1.122 Bcast:192.168.1.255 Mask:255.255.255.0
          inet6 addr: fe80::76e5:bff:fea4:3c18/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:5241 errors:0 dropped:0 overruns:0 frame:0
          TX packets:4845 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:2569544 (2.5 MB) TX bytes:1308161 (1.3 MB)

alan@deep-thought:~/Ubuntu One/network_problem$ cat iwconfig
wlan0 IEEE 802.11bgn ESSID:"popey"
          Mode:Managed Frequency:2.462 GHz Access Point: E0:46:9A:4E:72:C2
          Bit Rate=54 Mb/s Tx-Power=14 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=46/70 Signal level=-64 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:3305 Missed beacon:0

alan@deep-thought:~/network_problem$ ping -c 4 192.168.1.1
PING 192.168.1.1 (192.168.1.1) 56(84) bytes of data.
From 192.168.1.122 icmp_seq=1 Destination Host Unreachable
From 192.168.1.122 icmp_seq=2 Destination Host Unreachable
From 192.168.1.122 icmp_seq=3 Destination Host Unreachable
From 192.168.1.122 icmp_seq=4 Destination Host Unreachable

--- 192.168.1.1 ping statistics ---
4 packets transmitted, 0 received, +4 errors, 100% packet loss, time 3014ms
pipe 3

Module Size Used by
joydev 17693 0
parport_pc 32866 0
dm_crypt 23125 1
ppdev 17113 0
snd_hda_codec_hdmi 32474 1
snd_hda_codec_conexant 62089 1
kvm_intel 137721 0
kvm 415268 1 kvm_intel
arc4 12529 2
snd_hda_intel 33773 3
snd_hda_codec 127669 3 snd_hda_codec_hdmi,snd_hda_codec_conexant,snd_hda_intel
snd_hwdep 13668 1 snd_hda_codec
snd_pcm 97188 3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
uvcvideo 72627 0
videodev 98259 1 uvcvideo
v4l2_compat_ioctl32 17128 1 videodev
btusb 18288 2
bnep 18281 2
thinkpad_acpi 81819 0
snd_seq_midi 13324 0
rfcomm 47604 10
snd_rawmidi 30748 1 snd_seq_midi
bluetooth 180104 23 btusb,bnep,rfcomm
snd_seq_midi_event 14899 1 snd_seq_midi
snd_seq 61896 2 snd_seq_midi,snd_seq_midi_event
snd_timer 29990 2 snd_pcm,snd_seq
snd_seq_device 14540 3 snd_seq_midi,snd_rawmidi,snd_seq
iwlwifi 328352 0
mei 41616 0
mac80211 506816 1 iwlwifi
psmouse 87603 0
serio_raw 13211 0
cfg80211 205544 2 iwlwifi,mac80211
tpm_tis 18804 0
snd 78855 17 snd_hda_codec_hdmi,snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,thinkpad_acpi,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
snd_page_alloc 18529 2 snd_hda_intel,snd_pcm
soundcore 15091 1 snd
nvram 14413 1 thinkpad_acpi
mac_hid 13253 0
binfmt_misc 17540 1
lp 17799 0
parport 46562 3 parport_pc,ppdev,lp
i915 468529 3
drm_kms_helper 42489 1 i915
drm 241834 4 i915,drm_kms_helper
i2c_algo_bit 13423 1 i915
sdhci_pci 18826 0
sdhci 33205 1 sdhci_pci
e1000e 156693 0
wmi 19256 0
video 19411 1 i915

Not sure what other information I can provide?

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-17-generic 3.2.0-17.26
ProcVersionSignature: Ubuntu 3.2.0-17.26-generic 3.2.6
Uname: Linux 3.2.0-17-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: alan 2132 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf2620000 irq 52'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:14f1506e,17aa21da,00100002 HDA:80862805,80860101,00100000'
   Controls : 27
   Simple ctrls : 9
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw unknown'
   Mixer name : 'ThinkPad EC (unknown)'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Mon Feb 20 17:25:55 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120203)
MachineType: LENOVO 4287CTO
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic root=UUID=86ea7114-6b69-4161-b91c-44ccb7fcfd67 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-17-generic N/A
 linux-backports-modules-3.2.0-17-generic N/A
 linux-firmware 1.69
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/01/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET56WW (1.26 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4287CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET56WW(1.26):bd12/01/2011:svnLENOVO:pn4287CTO:pvrThinkPadX220:rvnLENOVO:rn4287CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4287CTO
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO

Alan Pope ㋛ (popey) wrote :
Brad Figg (brad-figg) on 2012-02-20
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This may be a duplicate of 911059

There is a test kernel listed in comment #51. Can you test that kernel and report back if it resolves your issue?

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-17.27

I'm running 3.2.0.17 and it's still dropping.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Hi Alan,

Were you able to test the test kernel listed in comment #51 of bug 911059 ? If so, did that kernel help?

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-18.28

I get this too on 3.2.0.18.28, however when I try it on mainline 3.3.0-030300rc6-generic it works.

This used to take about 10 minutes or so to show up when running the stock 3.2.0-18.28 kernel. To test it I left an rsync running overnight on the mainline kernel and it was rock solid.

Thinkpad X220, Intel Centrino 1000N

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Jorge O. Castro (jorge) wrote :

Also I suspected dd-wrt since both Alan and I use it but I went and tested it on 2 stock Linksys APs and a coffee bar's wireless, so I am reasonably certain this isn't a dd-wrt issue.

Changed in linux (Ubuntu):
importance: Medium → High
tags: added: kernel-key
Joseph Salisbury (jsalisbury) wrote :

Hi Jorge,

I'm not sure if you have ample time to test, but I was wondering if you would be able to test some of the other upstream rc kernels? It would be good to know what rc introduced the fix. That will narrow down the number of commits we need to review.

All of the release candidates can be found at:
http://kernel.ubuntu.com/~kernel-ppa/mainline/

Since we know it's fixed in rc6, maybe test rc3. If it's fixed there also, try rc1. If it's not fixed in rc3, try rc4 or rc5.

In the meantime, I'll review the upstream git logs to see if I can identify what fixed the bug in rc6.

Jorge O. Castro (jorge) wrote :

Ok I'm going to go to RC5, then 4, then 3 and so on.

Alan, can you start with RC1 and work your way forward? That outta help narrow it down quickly.

Jorge O. Castro (jorge) wrote :

Found it right away, RC5 doesn't work but RC6 does.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing Jorge. I'll take a look at the commits to see if I can identify what fixed it in rc6. If the fix isn't easily spotted, we can perform a bisect to find it that way.

Joseph Salisbury (jsalisbury) wrote :

There was a merge of wireless patches that may have fixed this bug.

@Alan, does the bug also go away for you if your boot into v3.3-rc6?

Alan, If rc6 fixed the bug for you, I will build a precise test kernel with the fixes in:

commit eea79e0713d94b02952f6c591b615710fd40a562
Merge: 203738e 2b0a53d
Author: John W. Linville <email address hidden>
Date: Mon Feb 27 13:14:47 2012 -0500

    Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless into for-davem

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-18.29
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bot-stop-nagging
Alan Pope ㋛ (popey) wrote :

Sorry, I'm playing catchup a bit here. Do I just need to run the stock Ubuntu kernel with that backports package installed?

Jorge O. Castro (jorge) wrote :

Yes Alan, just install the .deb and boot off your vanilla precise kernel.

Joseph, I think you got it! Installing that package and running off the stock kernel does the trick.

Alan Pope ㋛ (popey) wrote :

I haven't had a dropout yet with that backports package.

Joseph Salisbury (jsalisbury) wrote :

Hi Alan and Jorge,

I'd like to perform a kernel bisect to identify what commit upstream fixed this bug. Would you have the time to try a few test kernels to confirm when the bug exists or not?

Jorge O. Castro (jorge) wrote :

Line em up Joseph, I'll test them.

Joseph Salisbury (jsalisbury) wrote :

Thanks, Jorge.

I posted the first test kernel, which is available at:
http://people.canonical.com/~jsalisbury/lp937118/

This test kernel is bisected up to commit:
847854f5988a04fe7e02d2fdd4fa0df9f96360fe

Jorge O. Castro (jorge) wrote :

That kernel's been working for me for the past 6 hours with no issues.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing Jorge. I'll update the bisect and build another test kernel.

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge,

I posted the next test kernel at:
http://people.canonical.com/~jsalisbury/lp937118/

This test kernel is bisected up to commit:
a223c522805d4e9de4903fdd9c14588e558b2c16

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge,

I was wondering if you had a chance to gets the latest kernel, posted in comment #24? We'd like to narrow down what exact commit fixes this bug, so we can pull it prior to beta 2.

Thanks in advance!

tags: added: kernel-fixed-upstream
Jorge O. Castro (jorge) wrote :

Ok, that one works, next!

Joseph Salisbury (jsalisbury) wrote :

Just a bug comment:
I had to apply the following patch to build the next bisected kernel:
ae942ae71934fddd0639160c24f6efa703d5784e

@Jorge, the next test kernel is building now. It will be built up to commit:
5e8063d758725a5a6f38ac34a37d13509ccea0da

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge,

I posted the next test kernel at:
http://people.canonical.com/~jsalisbury/lp937118/

Jorge O. Castro (jorge) wrote :

This one works too.

Joseph Salisbury (jsalisbury) wrote :

Thanks, Jorge. I'm building the next kernel now.

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge,

I posted the next test kernel at:
http://people.canonical.com/~jsalisbury/lp937118/

This test kernel is up to commit:
62d222b8c8ee0ddd3dd6921ce9c1a5667616dc1c

Aha, this one feels much more sluggish. Name resolution is taking much
longer. But it's not totally broken like the precise kernel. Alan can
you try this one?

Ok, I'm running Linux deep-thought 3.3.0-030300rc5-generic #201203200045 SMP Tue Mar 20 00:47:12 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux. Will see how it goes.

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge and Alan,

Just curious if the latest test kernel seems to have this bug?

This doesn't make the wireless totally useless but it makes it pretty terrible.

I've not noticed any drops with this kernel.

Joseph Salisbury (jsalisbury) wrote :

Thanks for the update. Since there have been no dropped packets(Even thought the performance is terrible), I'll mark this commit as good in the bisect and build the next kernel.

Joseph Salisbury (jsalisbury) wrote :

I should have asked this before having you test kernels. Did you remove the linux-backports-modules-cw-3.3-precise-generic package? If not, we would want to do that to test the kernels properly.

Ah nuts. I had it installed, rebooting and trying again.

I did too. Am rebooting to test again.

Alan Pope ㋛ (popey) wrote :

Dropped network here on that kernel 3.3.0-030300rc5-generic

Network manager shows signal, I have an IP but no packets pass over wlan0.

Alan Pope ㋛ (popey) wrote :

Jorge says it sucks for him too :)

Joseph Salisbury (jsalisbury) wrote :

Thanks for the update. I'll update the bisect and build a new test kernel.

Joseph Salisbury (jsalisbury) wrote :

I posted the next test kernel at:
http://people.canonical.com/~jsalisbury/lp937118/

This test kernel is up to commit:
001f3a48877a24afa7dfead84eb4678c68ab062e

Can you test that kernel and report back if it has the bug. Please test without having the linux-backports-modules-cw-3.3-precise-generic package installed.

Thanks in advance

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge,

Thanks for updating me on IRC that the last test kernel was good. I'll actually have a couple more test kernels since that last kernel was part of the bisect.

I'm building a new kernel now, which is up to commit:
2ce3f2b3b1a646d82b86991c424b5121e0322cb8

Joseph Salisbury (jsalisbury) wrote :

I posted the next test kernel at:
http://people.canonical.com/~jsalisbury/lp937118/

There should only be a couple more test kernels after this one. Thanks again for testing.

Alan Pope ㋛ (popey) wrote :

3.3.0-030300rc5-generic doesn't drop, but it's really crappy.

Same here.

On Fri, Mar 23, 2012 at 8:16 AM, Alan Pope <email address hidden> wrote:
> 3.3.0-030300rc5-generic doesn't drop, but it's really crappy.

I posted the next test kernel at:
http://people.canonical.com/~jsalisbury/lp937118/

Thanks again for testing!

Jorge O. Castro (jorge) wrote :

That one works great for me.

Alan Pope ㋛ (popey) wrote :

3.3.0-030300rc5-generic #201203221252 has dropped for me. Came back to it after being out for 2 hours and it's exhibiting the same behaviour again as the original bug report stated.

Joseph Salisbury (jsalisbury) wrote :

It appears f8f54e190ddb4ed697036b60f5e2ae6dd45b801c is the first bad commit.

I'll build a test kernel with this commit reverted to see if it is in fact the source of the regression.

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge and Alan,

I built a test kernel with commit f8f54e190ddb4ed697036b60f5e2ae6dd45b801c reverted. The kernel is located at:
http://people.canonical.com/~jsalisbury/lp937118/

Can you test out this kernel and report back if it resolves this bug?

Joseph Salisbury (jsalisbury) wrote :

I also built a precise test kernel with that commit reverted. Can you also test the precise kernel, which is available at:
http://people.canonical.com/~jsalisbury/lp937118/precise-kernel

Joseph Salisbury (jsalisbury) wrote :

Have you had a chance to test the latest kernel mentioned in comment #54?

Alan Pope ㋛ (popey) wrote :

I installed it earlier, but just realised my system was booted to the "newer" kernel 3.3.0-030300rc5-generic, so I'll reboot and force it to use the one from #54 this evening. Sorry about that, I wrongly assumed I'd get the right kernel on a reboot.

Joseph Salisbury (jsalisbury) wrote :

@Jorge,

Just curious if you had a chance to test the kernel mentioned in comment #54?

Thanks in advance!

Sorry Joe,

I'm at a conference and I haven't had time to test this, I'm going off
a known good upstream Rc6 kernel, I won't be able to test until this
weekend.

Hi Alan and Jorge,

I was wondering if you had a chance to test the kernel mentioned in comment #54?

I am testing it today, so far no problems.

On Tue, Apr 10, 2012 at 10:30 AM, Joseph Salisbury
<email address hidden> wrote:
>
> I was wondering if you had a chance to test the kernel mentioned in
> comment #54?

Sorry, which exact kernel should I be testing?
There's two:-

linux-image-3.2.0-20-generic_3.2.0-20.32~lp937118v1_amd64.deb
linux-image-3.3.0-030300-generic_3.3.0-030300.201203261517_amd64.deb

Joseph Salisbury (jsalisbury) wrote :

Sorry, the following should be tested:
linux-image-3.2.0-20-generic_3.2.0-20.32~lp937118v1_amd64.deb

I removed the other kernels.

Alan Pope ㋛ (popey) wrote :

Ok, running that today.

alan@deep-thought:~$ uname -a
Linux deep-thought 3.2.0-20-generic #32~lp937118v1 SMP Mon Mar 26 16:50:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Brad Figg (brad-figg) on 2012-04-11
tags: added: kernel-wifi
Jorge O. Castro (jorge) wrote :

This one is working great on my X220.

Joseph Salisbury (jsalisbury) wrote :

Hi Alan and Jorge,

I had the kernel team review the commit that was reverted in the last test kernel:
f8f54e190ddb4ed697036b60f5e2ae6dd45b801c

That commit is for a cryptography driver and shouldn't affect wireless connectivity. Can you confirm that you still don't have the linux-backports-modules-cw-3.3-precise-generic package installed?

If you don't can you upgrade to the latest precise kernel and see if you still have this bug? Try to test the same way as with the last test kernel, and using the same wireless router if possible.

Thanks again for all the help!

Jorge O. Castro (jorge) wrote :

Ok so it seems this problem might manifest either quickly or rarely depending on the wireless router. At home the stock precise kernel works for about a day or so and then might start showing this.

Today at the airport it happened right away (10 minutes or so), so I'm still seeing this on the stock precise kernel. :(

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge,

It would be great if you could retest the v3.3[0] kernel in a location where the network drops quickly, like at the airport.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/

That's the first thing I did. It worked fine for about the two hours
I was testing and also is working fine on the plane, so the problem
still lies somewhere between 3.2 in precise and 3.3. (Also tested
mainline 3.4 and it works there too).

Did you ever have a drop while using the test kernel mentioned in comment #62? I'd be surprised if that kernel fixed this issue, like I mention in comment #65. However, it still would be good to know, especially if you have a way to reproduce this quickly now.

I did have a drop, it just took much longer than it did before.

I don't know why sometimes it happens right away and sometimes needs
hours, it's making testing very hit and miss, but I'll keep at it!

Thanks, Jorge. I'm going to step through the bisect again, to see if we missed a step.

Joseph Salisbury (jsalisbury) wrote :

Hi Jorge and Alan,

I went back through the bug comments. The bisect was thrown off after I requested that you test the linux-backports-modules-cw-3.3-precise-generic package(Comment #15). We realized you still had it installed and restarted the bisect(Comment #38). However, I didn't have you start back by testing the very first commit suggested by the bisect. I suggested a later commit(Comment #44).

I think we should back up an ensure each commit was tested properly again, starting with commit:

847854f5988a04fe7e02d2fdd4fa0df9f96360fe

I re-posted that first test kernel.

Can you confirm that the linux-backports-modules-cw-3.3-precise-generic package is removed from your system, and test the kernel at:

http://people.canonical.com/~jsalisbury/lp937118/

I have a Lenovo X220 running kubuntu 12.04 (64 bit) and after upgrading to kernel 3.2.0-24-generic it would no longer associate with my OpenWRT router.

I can confirm that installing kernel 3.3.0-030300rc5-generic from comment #72 allows the laptop to connect to my wireless router.

There are still some problems.

After running the kernel from comment 73 for a few days, I have found that after resuming from suspend on the X220 laptop, the wifi is very slow to the point of not being usable. The temporary workaround is to manually disable and re-enable wireless via network manager.

Joseph Salisbury (jsalisbury) wrote :

@Bill

Thanks for the feedback. What you are seeing may be a new bug.

Alan and Jorge,

Are you still seeing this bug with the final release of Precise?

summary: - Wireless stops passing packets
+ 8086:0084 Wireless stops passing packets
description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: removed: kernel-key
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.